summaryrefslogtreecommitdiff
path: root/tests.branching/merge-handles-unmergable-cases.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.branching/merge-handles-unmergable-cases.script')
-rwxr-xr-xtests.branching/merge-handles-unmergable-cases.script30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests.branching/merge-handles-unmergable-cases.script b/tests.branching/merge-handles-unmergable-cases.script
new file mode 100755
index 00000000..fd7f1478
--- /dev/null
+++ b/tests.branching/merge-handles-unmergable-cases.script
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Things that "morph merge" isn't expected to handle (but shouldn't crash)
+
+set -eu
+
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" checkout baserock:morphs master
+"$SRCDIR/scripts/test-morph" branch baserock:morphs test/unmergable
+
+cd "$DATADIR/workspace/test/unmergable/baserock:morphs"
+sed -ie 's/"kind": "stratum"/"kind": "chunk"/' hello-stratum.morph
+git commit --quiet --all -m "Unmergeable because kind has changed"
+cd "$DATADIR/workspace/master/baserock:morphs"
+"$SRCDIR/scripts/test-morph" merge test/unmergable